SMB_PROMETHEUS_ENDPO(8)

NAME
smb_prometheus_endpoint - Make Samba profiling information available to prometheus.

SYNOPSIS

smb_prometheus_endpoint [-a ADDRESS] [-p PORT] [smbprofile.tdb]

DESCRIPTION

This tool is part of the samba(8) suite.

Make the Samba profiling information available to prometheus via http.

OPTIONS

-a ADDRESS
    The address which smb_prometheus_endpoint shall listen on, default is 127.0.0.1.

-p PORT
    The port which smb_prometheus_endpoint shall listen on, default is port 9922.

smbprofile.tdb
    The full path to the system's smbprofile.tdb where Samba stores its statistics.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.